Page MenuHomePhabricator

Reviewer changes across `arc diff --update` and web UI are not merged constructively
Open, Needs TriagePublic

Description

Steps to reproduce:

  1. Create a terrible, bug-ridden revision with some set of reviewers.
  2. Realise the error of your ways and run arc diff --update on $#*!:
    1. Apologise profusely and hope you don't get fired.
    2. But, then a shiny object appears, and you get distracted before exiting your editor.
  3. Alice, not a current reviewer, approves the diff. This adds them as a reviewer.
  4. Suspecting that shiny object was actually Dave playing with a laser pointer, return to your desk and :wq out of Notepad™

What should happen:
You regain your honour by fixing your code.

What happens:
Alice is removed from the diff

Event Timeline

lfaraone created this task.Mar 25 2015, 2:37 AM
lfaraone raised the priority of this task from to Needs Triage.
lfaraone updated the task description. (Show Details)
lfaraone added projects: Arcanist, Differential.
lfaraone added subscribers: lfaraone, aroravishal.
eadler added a subscriber: eadler.Apr 14 2016, 5:46 AM
eadler added a project: Restricted Project.Jul 7 2016, 4:57 PM

Ref T4768

epriestley renamed this task from Race condition in `arc diff --update` to Reviewer changes across `arc diff --update` and web UI are not merged constructively.Nov 14 2016, 5:59 PM
epriestley added a subscriber: epriestley.

T11114 should fix this for free.

T11114 has fixed the web-originated-edit versions of this, where your "Edit Revision" or "Change Reviewers" action spans another edit.

"Reviewers:" edits from the CLI are still submitted as a "set reviewers to X" operation.